org.apache.tinkerpop.gremlin.process.traversal.strategy.verification

## Class ReadOnlyStrategy

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy<TraversalStrategy.VerificationStrategy>
  - - org.apache.tinkerpop.gremlin.process.traversal.strategy.verification.ReadOnlyStrategy

- All Implemented Interfaces:
    Serializable, Comparable<Class<? extends TraversalStrategy>>, TraversalStrategy<TraversalStrategy.VerificationStrategy>, TraversalStrategy.VerificationStrategy

      public final class ReadOnlyStrategy
      extends AbstractTraversalStrategy<TraversalStrategy.VerificationStrategy>
      implements TraversalStrategy.VerificationStrategy

  Detects steps marked with `Mutating` and throws an `IllegalStateException` if one is found.
  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form
  Example:

         __.out().addE()                 // throws an VerificationException
         __.addV()                       // throws an VerificationException
         __.property(key,value)          // throws an VerificationException
         __.out().drop()                 // throws an VerificationException

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `TraversalStrategy.DecorationStrategy, TraversalStrategy.FinalizationStrategy, TraversalStrategy.OptimizationStrategy, TraversalStrategy.ProviderOptimizationStrategy, TraversalStrategy.VerificationStrategy`

  - ### Field Summary

    - ### Fields inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `STRATEGY`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Traversal.Admin<?,?> traversal)`
    `Set<Class<? extends TraversalStrategy.VerificationStrategy>>` | `applyPost()` The set of strategies that must be executed after this strategy is executed.
    `static ReadOnlyStrategy` | `instance()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.strategy.AbstractTraversalStrategy

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy.VerificationStrategy

      `compareTo, getTraversalCategory`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.TraversalStrategy

      `applyPrior, getConfiguration`

- - ### Method Detail

    - #### apply

          public void apply(Traversal.Admin<?,?> traversal)

      Specified by:
        `apply` in interface `TraversalStrategy<TraversalStrategy.VerificationStrategy>`

    - #### applyPost

          public Set<Class<? extends TraversalStrategy.VerificationStrategy>> applyPost()

      Description copied from interface: `TraversalStrategy`
      The set of strategies that must be executed after this strategy is executed. If there are no ordering requirements, the default implementation returns an empty set.
      Specified by:
        `applyPost` in interface `TraversalStrategy<TraversalStrategy.VerificationStrategy>`
      Returns:
        the set of strategies that must be executed post this one

    - #### instance

          public static ReadOnlyStrategy instance()

Copyright © 2013–2019 Apache Software Foundation. All rights reserved.